#!/bin/sh
# the next line restarts using wish \
exec wish8.4 "$@"  "$0"

wm title . "VMDstartscript"

#   aboutBox --
#
#   Pops up a message box with an "about" message
#
proc aboutBox {} {
    tk_messageBox -icon error -type ok -title "Error: VMD not startable" -message \
 " There was an error when calling VMD, likely the program is not installed properly! 
Accordingly the button menue will not work."
}

proc positionWindow w {
    wm geometry $w +100+100
}

set cmd "vmd -dispdev none -e vmdscripteng/quit.vmd"
# set cmd "vmd"    
catch {
    set result [ eval exec $cmd ]

} rawerr

regsub -all {"} $rawerr c rawerr

set err [ lindex $rawerr 1 ]

if { $err != "VMD" } {
    aboutBox 
    exit
    } 


label .msg  -wraplength 2.5i -justify left -text "Klick on one of the buttons to activate the resp. presentation.  Prior to changing to another presentation, you have to close the open VMD session! \n\n"
pack .msg -side top


button .b1 -text "Designerprotein" -width 20 \
    -command "exec vmd -e vmdscripteng/designerproteinhypertxtengl.vmd"

button .b2 -text "Antibody" -width 20 \
    -command "exec vmd -e vmdscripteng/antibodyhypertxtengl.vmd "

button .b3 -text "t-RNA structure" -width 20 \
    -command "exec vmd -e vmdscripteng/ElongFactortRNAbutton.vmd "

button .b4 -text "Hollidayjunction" -width 20 \
    -command "exec vmd -e vmdscripteng/hollidayjunctionhypertext.vmd "

button .b5 -text "Ribosome" -width 20 \
    -command "exec vmd -e vmdscripteng/ribosomebutton.vmd "

button .b6 -text "Sensory Rhodopsin" -width 20 \
    -command "exec vmd -e vmdscripteng/sensoryproteinhypertxtanimationengl.vmd "

button .b7 -text "Photosystem II" -width 20 \
    -command "exec vmd -e vmdscripteng/psIIhypertext.vmd "

button .b8 -text "GFPswitch" -width 20 \
    -command "exec vmd -e vmdscripteng/gfpswitchhypertxtanimation.vmd "

button .b9 -text "Light harvesting" -width 20 \
    -command "exec vmd -e vmdscripteng/rclh1hypertxtengl.vmd "

button .b10 -text "Phototropin" -width 20 \
    -command "exec vmd -e vmdscripteng/phototropinanimation.vmd "

button .b11 -text "ATP-synthase" -width 20 \
    -command "exec vmd -e vmdscripteng/atpsynthaseanimation.vmd "
    
button .b12 -text "Photoact. Yellow Protein" -width 20 \
    -command "exec vmd -e vmdscripteng/pypanimation.vmd "

button .b13 -text "Bacteriorhodopsin" -width 20 \
    -command "exec vmd -e vmdscripteng/bacteriorhodopsinanimation.vmd "
    
pack .b1 .b2 .b3 .b4 .b5 .b6 .b7 .b8 .b9 .b10 .b11 .b12 .b13 -side top -expand yes -pady 2

